import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Image;
import javax.microedition.lcdui.List;

/**
 * 
 * @author Lucie Rt Bittnerov
 * 
 * Menu aplikace tvoen seznamem poloek
 *
 */
public class MenuList extends List implements CommandListener {
	// texty poloek menu
	public static final String PLAY = "Hrt";
	public static final String HELP = "Npovda";
	public static final String EXIT = "Konec";
	
	public MenuList(){
		super("", List.IMPLICIT);
		try{
			// inicializace obrzk
			Image playImg = Image.createImage("/playIco.png");
			Image helpImg = Image.createImage("/helpIco.png");
			Image exitImg = Image.createImage("/exitIco.png");
			
			// pidn obrzk do seznamu
			this.append(PLAY, playImg);
			this.append(HELP, helpImg);
			this.append(EXIT, exitImg);			
		} catch (Exception e){
		}
		
		// nastaven posluchae udlost
		this.setCommandListener(this);
	}
	
	/* metoda rozhran CommandListener */
	public void commandAction(Command c, Displayable d) {
		// zjitn indexu vybran poloky seznamu
		int i = this.getSelectedIndex();
		// zjitn jmna vybran poloky seznamu
		String s = this.getString(i);
		GameMIDlet midlet = GameMIDlet.getInstance();
		// vykonn akce odpovdajc vybran poloce
		if(s == PLAY){
			midlet.playAction();
		}else if(s == HELP){
			midlet.helpAction();
		}else if(s == EXIT){
			midlet.destroyApp(true);
		}
	}

}
