import javax.microedition.lcdui.Canvas;
import javax.microedition.lcdui.Graphics;
import javax.microedition.lcdui.Image;

/**
  * vodn obrazovka
  */
public class SplashScreen extends Canvas implements Runnable{
	// vodn obrzek
	private Image splash;
	// je-li true, stiskl uivatel klvesu
	private boolean pressed = false;

	public SplashScreen(){
		try {
			splash = Image.createImage("/splash2.png");
		} catch (Exception e){
			e.printStackTrace();
		}
	}
	
	/*
	 * Tato metoda pok 5 vtein a pak spust hru 
	 * nebo ji spust ihned po stisku libovoln klvesy
	 */
	public void run(){
		try{
			// vlkno uspme pouze, nahrl-li se obrzek v podku
			if(splash!=null){
				int i = 50;
				while(i>0){
					// uspn aktulnho vlkna na 0,1 vteiny
					Thread.sleep(100);
					if(pressed){
						// peruen cyklu, byla-li stisknuta klvesa
						break;
					}
					i--;
				}
				while(!GameMIDlet.getInstance().isInited()){
					Thread.sleep(100);
				}
			}
		}catch (Exception e){
			e.printStackTrace();
		}
		// zruen odkazu na obrzek
		splash = null;
		GameMIDlet.getInstance().menuAction();
	}

	/*
	 * Vykreslen obrzku
	 */
	protected void paint(Graphics g) {
		if(splash!=null){
			g.drawImage(splash, 0, 0, Graphics.TOP | Graphics.LEFT);
		}
	}
	
	/*
	 * Tuto metodu zavol aplikan manaer, 
	 * nastane-li udlost stisk klvesy
	 */
	protected void keyPressed(int key) {
		pressed = true;
	}

}
